Bug 1567542 (CVE-2018-2799) - CVE-2018-2799 OpenJDK: unbounded memory allocation during deserialization in NamedNodeMapImpl (JAXP, 8189993)
Summary: CVE-2018-2799 OpenJDK: unbounded memory allocation during deserialization in ...
Status: CLOSED ERRATA
Alias: CVE-2018-2799
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180417,repor...
Keywords: Security
Depends On: 1559768 1559769 1559770 1559771 1559773 1559774 1559775 1559776 1565346 1565347 1565348 1565349 1565350 1565351 1565352 1565353 1577848 1577849 1577850 1577851 1577855 1577856 1577857 1577858 1579406 1579410
Blocks: 1559778
TreeView+ depends on / blocked
 
Reported: 2018-04-14 20:33 UTC by Tomas Hoger
Modified: 2018-06-25 14:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-24 20:51:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1188 None None None 2018-04-19 17:00 UTC
Red Hat Product Errata RHSA-2018:1191 None None None 2018-04-19 18:01 UTC
Red Hat Product Errata RHSA-2018:1201 None None None 2018-04-23 17:12 UTC
Red Hat Product Errata RHSA-2018:1202 None None None 2018-04-23 17:15 UTC
Red Hat Product Errata RHSA-2018:1204 None None None 2018-04-23 17:18 UTC
Red Hat Product Errata RHSA-2018:1206 None None None 2018-04-23 17:30 UTC
Red Hat Product Errata RHSA-2018:1270 None None None 2018-04-30 16:17 UTC
Red Hat Product Errata RHSA-2018:1278 None None None 2018-05-02 22:06 UTC
Red Hat Product Errata RHSA-2018:1721 None None None 2018-05-24 18:52 UTC
Red Hat Product Errata RHSA-2018:1722 None None None 2018-05-24 18:57 UTC
Red Hat Product Errata RHSA-2018:1723 None None None 2018-05-24 19:01 UTC
Red Hat Product Errata RHSA-2018:1724 None None None 2018-05-24 19:04 UTC
Red Hat Product Errata RHSA-2018:1974 None None None 2018-06-25 14:56 UTC
Red Hat Product Errata RHSA-2018:1975 None None None 2018-06-25 14:57 UTC

Description Tomas Hoger 2018-04-14 20:33:58 UTC
It was discovered that the implementation of the NamedNodeMapImpl class in the JAXP component of OpenJDK did not limit the amount of memory allocated when creating object instance from a serialized form.  A specially-crafted input could cause a Java application to use an excessive amount of memory when deserialized.

Comment 1 Tomas Hoger 2018-04-17 20:53:27 UTC
Public now via Oracle CPU April 2018:

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html#AppendixJAVA

The issue was fixed in Oracle JDK 10.0.1, 8u171, and 7u181.

Comment 2 errata-xmlrpc 2018-04-19 17:00:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1188 https://access.redhat.com/errata/RHSA-2018:1188

Comment 3 errata-xmlrpc 2018-04-19 18:01:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1191 https://access.redhat.com/errata/RHSA-2018:1191

Comment 4 Tomas Hoger 2018-04-20 20:46:15 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jaxp/rev/5279c6da822e

Comment 5 errata-xmlrpc 2018-04-23 17:12:23 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1201 https://access.redhat.com/errata/RHSA-2018:1201

Comment 6 errata-xmlrpc 2018-04-23 17:15:30 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1202 https://access.redhat.com/errata/RHSA-2018:1202

Comment 7 errata-xmlrpc 2018-04-23 17:18:02 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:1204 https://access.redhat.com/errata/RHSA-2018:1204

Comment 8 errata-xmlrpc 2018-04-23 17:30:29 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:1206 https://access.redhat.com/errata/RHSA-2018:1206

Comment 9 errata-xmlrpc 2018-04-30 16:17:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1270 https://access.redhat.com/errata/RHSA-2018:1270

Comment 10 errata-xmlrpc 2018-05-02 22:06:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1278 https://access.redhat.com/errata/RHSA-2018:1278

Comment 13 errata-xmlrpc 2018-05-24 18:52:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:1721 https://access.redhat.com/errata/RHSA-2018:1721

Comment 14 errata-xmlrpc 2018-05-24 18:57:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:1722 https://access.redhat.com/errata/RHSA-2018:1722

Comment 15 errata-xmlrpc 2018-05-24 19:01:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:1723 https://access.redhat.com/errata/RHSA-2018:1723

Comment 16 errata-xmlrpc 2018-05-24 19:04:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:1724 https://access.redhat.com/errata/RHSA-2018:1724

Comment 17 errata-xmlrpc 2018-06-25 14:56:46 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2018:1974 https://access.redhat.com/errata/RHSA-2018:1974

Comment 18 errata-xmlrpc 2018-06-25 14:57:21 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:1975 https://access.redhat.com/errata/RHSA-2018:1975


Note You need to log in before you can comment on or make changes to this bug.